#include "pub/PubWrapperHelper.h"
#include "pub/PubDataWrapper.h"
#include "sub/SubWrapperHelper.h"
#include "VED_PubDataWrapper.h"
#include "VED_SubDataWrapper.h"
#include "dpc_ved/executable.h"

#include "VED_GeneralWrapper.h"


GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) :
_VED2DPC_Provide("dpc_ved/dpc_ved/VED2DPCPPort" ,mainLog),
_VED2FusionEgoMotion_Provide("dpc_ved/dpc_ved/VED2FusionEgoMotionPPort" ,mainLog),
_CAN2VED_Required("dpc_ved/dpc_ved/CAN2VEDRPort", mainLog)
{
    _VED2DPC_Provide.Init();
    _VED2FusionEgoMotion_Provide.Init(_VED2DPC_Provide._skeleton);
    _CAN2VED_Required.Init();

}

GeneralWrapper::~GeneralWrapper() {
   _CAN2VED_Required.Destroy();
}
